//*****************************************************************************
//* main.c
//*
//* Info: 			Einsprungpunkt fr die Firmware
//*
//* Author(s): 		Fabian Cordes
//* Copyright: 		(c) 2009 Projekt ELE21 
//*
//*****************************************************************************

#define F_CPU 160000000UL
#include <util/delay.h>

#include "ports.h"
#include "drivers/lcdif.h"
#include "threadmgr.h"
#include "gfx.h"

#ifdef _DEBUG
#include tests.h
#endif

// Prototypes
int main ( void );
void initDevice ( void );
void initPeripherals ( void );


int main ( void )
{
	#ifdef _DEBUG

	// Start tests and catch focus after that
	initTests();
	while(1==1)
	{
		asm volatile ("nop");
	}
	
	#endif	
	
	// Initialization sequence
//	initDevice ();
	initPeripherals ();
	initThreadManager ();

	// Run thread manager
	startThreadManager ();
	// catch focus
	while (1==1)
	{
		asm volatile ("nop");
	}
	return 0;
}


void initDevice ()
{
	// Stub for now
}

void initPeripherals ()
{
	// Init lcd driver and GFX
	initLCD ();
	initGFXSubsys ();
	// Init storage driver
	// Init bus driver
}
