//*****************************************************************************
//* ports.h
//*
//* Info: 			Defines custom symbols for IO Ports
//*
//* Author(s): 		Fabian Cordes
//* Copyright: 		(c) 2009 Projekt ELE21 
//*
//*****************************************************************************


// include guards
#ifndef __PORTS_H__
#define __PORTS_H__


#include "avr/io.h"

// Generic purpose IO interface
#define GPIODATA 		PORTF
#define GPIODATA_DDR 	DDRF
#define GPIO0			PF0
#define GPIO1			PF1
#define GPIO2			PF2
#define GPIO3			PF3
#define GPIO4			PF4
#define GPIO5			PF5
#define GPIO6			PF6
#define GPIO7			PF7

#define GPIOSIG  		PE2
#define GPIOINT			INT6

// LCD Interface
#define LCDDATA			PORTA
#define LCDDATADDR 		DDRA	//	
#define D0				PA0
#define D1				PA1
#define D2				PA2
#define D3				PA3
#define D4				PA4
#define D5				PA5
#define D6				PA6
#define D7				PA7

#define LCDCTRL			PORTC	
#define LCDCTRLDDR 		DDRC	//	

#define NC1				PC7		//	N/C
#define BLEN			PC6		//	HI active
#define RDB				PC5		//	LO active
#define WRB				PC4		//	LO active				
#define M86				PC3		//	HI active
#define RS				PC2		//	HI active
#define CSB				PC1		//	LO active
#define RESB			PC0		//	LO active


// DCF77 Module interface
#define DCF77INT		INT7


// RS232 interface
#define TXD0 			PE1		//
#define RXD0			PE0		//			
#define CTS				PD1		//			
#define RTS				PD0		//			

// RS485 interface
#define RE				PD5		//			LO active		
#define DE				PD4		//			LO active
#define TXD1			PD3		//			HI active
#define RXD1			PD2		//			HI active

// SD/MMC interface
#define SDPORT			PORTB
#define SDPORTDDR		DDRB

#define SDSEL			PB4		//			LO active
#define MISO			PB3		//			HI active
#define MOSI			PB2		//			HI active
#define SCK				PB1		//			clock signal


#endif // close include guards
